"""empty message

Revision ID: 056242d18e05
Revises: 648aba7516f5
Create Date: 2021-12-14 11:52:55.056690

"""
from alembic import op
import sqlalchemy as sa


# revision identifiers, used by Alembic.
revision = '056242d18e05'
down_revision = '648aba7516f5'
branch_labels = None
depends_on = None


def upgrade():
    # ### commands auto generated by Alembic - please adjust! ###
    op.add_column('cases', sa.Column(
        'address', sa.String(length=255), nullable=True))
    op.execute('''
    update cases set address = d.address
    from defendants d
        join detainer_warrant_defendants dwd on d.id = dwd.defendant_id
        join cases c on dwd.detainer_warrant_docket_id = c.docket_id
    where d.address is not NULL;
    ''')
    op.drop_constraint(
        'defendants_first_name_middle_name_last_name_suffix_address__key', 'defendants', type_='unique')
    op.create_unique_constraint(None, 'defendants', [
                                'first_name', 'middle_name', 'last_name', 'suffix', 'district_id', 'potential_phones'])
    op.drop_column('defendants', 'address')
    # ### end Alembic commands ###


def downgrade():
    # ### commands auto generated by Alembic - please adjust! ###
    op.add_column('defendants', sa.Column('address', sa.VARCHAR(
        length=255), autoincrement=False, nullable=True))
    op.drop_constraint(None, 'defendants', type_='unique')
    op.create_unique_constraint('defendants_first_name_middle_name_last_name_suffix_address__key', 'defendants', [
                                'first_name', 'middle_name', 'last_name', 'suffix', 'address', 'district_id', 'potential_phones'])
    op.drop_column('cases', 'address')
    # ### end Alembic commands ###
